[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TStringIteratorMethod

Iterator callback type

## Declaration

Source position: contnrs.pp line 430

`type TStringIteratorMethod = procedure(`
`Item: string;`
`const Key: string;`
`var Continue: Boolean`
`) of object;`

## Arguments

`Item` |  | String associated with key
`Key` |  | Key value
`Continue` |  | Should iterate continue or stop ?

## Description

TStringIteratorMethod is the callback prototype for the Iterate method. It is called for each element in the hash table, with the string. If Continue is set to false, the iteration stops.

Documentation generated on: Feb 26 2014